Skip to content

Configuration

All operations require authentication.

4 operationsv2/publicCloud/project
Agent setup

List maintenancesBeta

GET
/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/maintenance

Returns the maintenances of the service, with their schedule and status.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200MaintenanceWindow[]successful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/maintenance \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED" }]

Get a maintenanceBeta

GET
/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/maintenance/{maintenanceId}

Returns the operations planned by a maintenance, its schedule and its status.

Path parameters

maintenanceId
required
stringuuid

Maintenance ID

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200MaintenanceWindowsuccessful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses maintenanceId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/maintenance/{maintenanceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED"}

Apply a maintenanceBeta

POST
/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/maintenance

Applies a scheduled maintenance immediately, instead of waiting for its scheduled time.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200MaintenanceWindowsuccessful operation
appliedAt
read-only
stringdate-time

Date and time at which the maintenance was applied. Null when not yet applied.

checksum
read-only
string

Hash of the resource used for concurrency control

description
read-only
string

Human-readable description of the maintenance operations to be performed

id
read-only
stringuuid

Unique identifier of the maintenance window

scheduledAt
read-only
stringdate-time

Date and time at which the maintenance window is scheduled to start

status
read-only
MaintenanceStatusEnum

Current status of the maintenance window

ValuesAPPLIEDAPPLYINGERRORSCHEDULED

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/maintenance \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED"}

Enable temporary writesBeta

POST
/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/enableWrites

Enables temporary write permissions on a service locked in read-only mode because its disk is full. Returns the date when they are revoked.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Response

200TemporaryWriteDeadlinesuccessful operation
expiresAt
read-only
stringdate-time

Date and time when the temporary write permissions will be revoked

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedDatabase/postgresql/{serviceId}/enableWrites \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expiresAt": "2024-01-01T12:00:00Z"}